<?php

if (!defined('BLOCK_FILE')) {

    Header("Location: ../index.php");

    exit;

}



global $prefix, $db;

$number = 10; //Количество позиций в списке

$strip     = 36; //количество знаков в названии после чего будет обрезано  ( 36 - оптимально, на мой взгляд, для удвублочных сайтов под разрешение 1024*768)



$content .= "

<table width=\"100%\" border=\"0\" cellpadding=\"2\" cellspacing=\"1\" class=\"bgcolor4\">

    <tr>

        <th width=\"50%\" height=\"20\" align=\"left\"><font class=\"block-title\">  Новые файлы</font></th>

        <th width=\"50%\" height=\"20\" align=\"left\"><font class=\"block-title\">  Самые скачиваемые файлы</font></th>

    </tr>

    <tr class=\"bgcolor1\">

        <td valign=\"top\">

            <table cellspacing=\"0\" cellpadding=\"1\" border=\"0\">";

            

// Новые файлы на сайте

$a = 1;

$content .= "<td valign=\"top\">";

$result = $db->sql_query("SELECT lid, title, hits FROM ".$prefix."_files WHERE date <= NOW()  AND status ='1' ORDER BY lid DESC LIMIT $number");

while(list($lid, $title, $hits) = $db->sql_fetchrow($result)) {

    $linkstrip = stripslashes($title);

    if (strlen($linkstrip) > $strip) {

        $linkstrip = substr($linkstrip, 0, $strip);

        $linkstrip .= "...";

    }

         $down = cutstr($hits,5);

    $content .= "<tr><td align=\"right\" valign=\"top\">$a </td><td><a href=\"index.php?name=Files&op=view&id=$lid\" title=\"$title\">$linkstrip</a>  <a href=\"#\" title=\"Скачали  $down раз\"><small>($down)</small></a></td></tr>";

    $a++;

}



// Популярные файлы на сайте (ротация по скачиваниям (хитам))

$content .= "

            </table>

        </td>

        <td valign=\"top\">

            <table cellspacing=\"0\" cellpadding=\"1\" border=\"0\">";

$a = 1;

$time_metka1 = 60*60*24*30;

$result = $db->sql_query("SELECT lid, title, hits FROM ".$prefix."_files WHERE (UNIX_TIMESTAMP(now())-UNIX_TIMESTAMP(date)) < ".$time_metka1." AND status = '1' AND date <= NOW() ORDER BY hits DESC LIMIT $number");

while ($row = $db->sql_fetchrow($result)) {

    $f_id = intval($row['lid']);

    $title_f = stripslashes($row['title']);

    $title_file = cutstr($title_f,$strip);

    $down = cutstr($row['hits'],5);

    $content .= "<tr><td align=\"right\" valign=\"top\">$a </td><td><a href=\"index.php?name=Files&op=view&id=$f_id\" title=\"$title_f\">$title_file</a>  <a href=\"#\" title=\"Скачали  $down раз\"><small>($down)</small></a></td></tr>";

$a++;

}



$content .= "</table>

        </td>

    </tr>

    <tr>

        <td class=\"bgcolor1\">";



    $sumfiles = $db->sql_numrows($db->sql_query("SELECT lid FROM ".$prefix."_files WHERE status ='1' "));

    

    list ($sumprosm) = $db->sql_fetchrow($db->sql_query("SELECT sum(hits) as kolvo FROM ".$prefix."_files WHERE (UNIX_TIMESTAMP(now())-UNIX_TIMESTAMP(date)) < ".$time_metka1." AND status = '1' AND date <= NOW() "));



$content .= "Всего файлов: $sumfiles</td><td class=\"bgcolor1\"> Всего было скачано: $sumprosm раз(а)

        </td>

    </tr>        

</table>";

?>